Consultar uma transação por TransactionID

Este método é utilizado para buscar informações de uma transação na API da Plataforma Data Trust.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Modelo de Chamada

GET https://datatrustapi.clearsale.com.br/v1/transaction/{id} HTTP/1.1
Authorization: Bearer {Token}
GET https://datatrustapihml.clearsale.com.br/v1/transaction/{id} HTTP/1.1
Authorization: Bearer {Token}

Response:

Requisição realizada com sucesso

HTTP/1.1 200 Ok  
Content-Type: application/json; charset=utf-8  
{
    "id": "string", 
    "createdAt": "2024-04-12T15:20:49.984Z",
    "documentType": "CPF",
    "document": "12345678912",
    "name": "João Santos Silva",
    "birthdate": "1998-12-30",
    "mothersName": "Maria Eduarda",
    "email": "[email protected]",
    "verifiedEmail": false,
    "sessionId": "SessionID123",
    "identifierId": "123abc",
    "channelId": null,
    "navigationid":"nav_20250616",
    "address": {
        "zipCode": "00000000",
        "street": "Rua teste",
        "number": "12355",
        "complement": "Esquina 3",
        "district": "B13",
        "city": "São Paulo",
        "state": "SP",
        "country": "Brasil"
    },
    "phone": {
        "countryCode": 55,
        "areaCode": 11,
        "number": 985985875,
        "verified": false
    },
   "referenceDate": "2024-04-12T15:20:49.9847127Z",
   "identifierDate": "2020-11-05T17:24:43.727Z",
   "type": 1,
   "criterion": 1,
   "card": {
        "bin": "123456",
        "last4": "1234",
        "ownerName": "João Santos Silva",
        "ownerDocument": "12345678912"
     },
    "Vehicle" : {
        "ProposedDate": "2000-03-21T17:28:26.910Z",
        "VehicleLicensePlate": "AAA1a11",
        "StoreState": "sp", 
        "LicensePlateState": "sp", 
        "VehicleRegistrationState": "SP", 
        "FinancingAmount" : 100000.50,
        "MarketValue" : 10500.94,
        "VehicleManufacturingYear" : 2025
     },
    "secondaryDocumentType": "CNPJ",
    "secondaryDocument": "12345678901234",
    "gender":"male",
    "services":{
        "bcheck":["ArrestWarrant", "BasicInfos"]
    },
    "partners":[
        {
            "Document":"12345678912",
            "DocumentType":"cpf",
            "Name":"Nome do partners"
        },
        {
            "Document":"A1111111000160",
            "DocumentType":"cnpj",
            "Name":"Master Empresa"
        }
    ],    
    "LegalRepresentatives":[
        {
            "Document":"A1111111000160",
            "DocumentType":"cnpj",
            "Name":"Master Empresa"
        },
        {
            "Document":"41923991809",
            "DocumentType":"cpf",
            "Name":"Nome do partners"
        }
    ],
    "socialName": "Nome Social",
		"Phones": [
  			{
    				"countryCode": 55,
    				"areaCode": 11,
    				"number": 912345678,
    				"verified": true
  			},
  			{
    				"countryCode": 55,
    				"areaCode": 21,
    				"number": 998765432,
    				"verified": false
  			}
		]
}
Path Params
string
required

Id da transação

Responses

401

Unauthorized

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json